<template>
  <div class="vlue-content-component-image" :style="getStyle()"></div>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    props: Object,
  },
  methods: {
    getStyle() {
      return {
        'background-image' : (this.props.src ? 'url(' + this.props.src + ')' : undefined),
        'background-color' : this.props.bgcolor,
        'height'           : this.props.height,
      };
    },
  },
  mounted() {
    // component properties with types and default values
    this.$emit('mounted', [
      {
        name: 'src',
        type: 'image',
        value: null, // image type prop will default to first image in images folder
      },
      {
        name: 'height',
        type: 'textfield',
        value: '200px',
      },
      {
        name: 'bgcolor',
        type: 'color',
        value: '#0005',
      },
    ]);
  },
})
</script>

<style lang="scss">
.vlue-content-component-image {
  margin: 10px;
  border-radius: 10px;
  background-size: cover;
  background-position: center;
  box-shadow: 0 5px 7px rgba(0,0,0,0.25);
}
</style>
